org.eclipse.jdt.junit.model

## Class ITestElement.FailureTrace

- java.lang.Object
- - org.eclipse.jdt.junit.model.ITestElement.FailureTrace

Enclosing interface:
  ITestElement

    public static final class ITestElement.FailureTrace
    extends Object

A failure trace of a test. This class is not intended to be instantiated or extended by clients.

### Constructor Summary

Constructors
Constructor and Description
`FailureTrace(String trace, String expected, String actual)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getActual()` Returns the actual result or `null` if the trace is not a comparison failure.
`String` `getExpected()` Returns the expected result or `null` if the trace is not a comparison failure.
`String` `getTrace()` Returns the failure stack trace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailureTrace

    public FailureTrace(String trace,
                        String expected,
                        String actual)

### Method Detail

#### getTrace

    public String getTrace()

Returns the failure stack trace.

Returns:
  the failure stack trace

#### getExpected

    public String getExpected()

Returns the expected result or `null` if the trace is not a comparison failure.

Returns:
  the expected result or `null` if the trace is not a comparison failure.

#### getActual

    public String getActual()

Returns the actual result or `null` if the trace is not a comparison failure.

Returns:
  the actual result or `null` if the trace is not a comparison failure.